package de.uniulm.mathematik.typo.hyphen;

/**
 * A hyphenation point is a tuple consisting of a non-negative
 * hyphenation position (taken relative to the beginning of the
 * hyphenation pattern this point belongs to) and a associated value.
 * Odd values indicate that a hyphenation at the given position is
 * desired, even values indicate a suppression of a hyphenation.
 */
public interface HyphenationPoint {
   /**
    * Return position of this hyphenation point which is to be
    * interpreted relatively to the beginning of the pattern
    * this point belongs to.
    */
   public int getPosition();

   /**
    * Return value of this hyphenation point.
    */
   public int getValue();
}
