package de.uniulm.mathematik.tries;

/**
 * Interface that allows to fill a trie with entries.
 */
public interface TrieConstructor<TrieInfo> {

   /**
    * Insert the info object into this trie using word as key.
    * @param word Key string which is interpreted as a sequence
    *             of code points.
    * @param info Object to be stored at the given key, must not
    *             be null.
    */
   public void insert(String word, TrieInfo info);
}
